glab(1)

NAME

glab-repo-clone - Clone a GitLab repository/project

SYNOPSIS

glab repo clone [flags] [] [-- [...]]

DESCRIPTION

Clone supports these shorthands

    •   repo

    •   namespace/repo

    •   org/group/repo

    •   project ID

OPTIONS

-g, --group=""
    Specify group to clone repositories from

-p, --preserve-namespace[=false]
    Clone the repo in a subdirectory based on namespace

-a, --archived[=false]
    Limit by archived status. Use with -a=false to exclude archived repositories. Used with --group flag

-G, --include-subgroups[=true]
    Include projects in subgroups of this group. Default is true. Used with --group flag

-m, --mine[=false]
    Limit by projects in the group owned by the current authenticated user. Used with --group flag

-v, --visibility=""
    Limit by visibility {public, internal, or private}. Used with --group flag

-I, --with-issues-enabled[=false]
    Limit by projects with issues feature enabled. Default is false. Used with --group flag

-M, --with-mr-enabled[=false]
    Limit by projects with merge requests feature enabled. Default is false. Used with --group flag

-S, --with-shared[=false]
    Include projects shared to this group. Default is false. Used with --group flag

--paginate[=false]
    Make additional HTTP requests to fetch all pages of projects before cloning. Respects --per-page

--page=1
    Page number

--per-page=30
    Number of items to list per page

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

EXAMPLE
    $ glab repo clone profclems/glab
    $ glab repo clone https://gitlab.com/profclems/glab
    $ glab repo clone profclems/glab mydirectory  # Clones repo into mydirectory
    $ glab repo clone glab   # clones repo glab for current user
    $ glab repo clone 4356677   # finds the project by the ID provided and clones it
    # Clone all repos in a group
    $ glab repo clone -g everyonecancontribute --paginate
    # Clone all non-archived repos in a group
    $ glab repo clone -g everyonecancontribute --archived=false --paginate
    # Clone from a self-hosted instance
    $ GITLAB_HOST=salsa.debian.org glab repo clone myrepo

SEE ALSO

glab-repo(1)